####################################################################################

# NOTE: Before the code can be executed, the R working directory *MUST* 
# be set to the directory that contains the folder 'InteractionForests' (for Linux
# systems R can also be excecuted from the directory that contains the folder
# 'InteractionForests'):

# Remove '#' from the line below and replace 'Z:/here/is/my/path/' by the path
# to the directory that contains 'InteractionForests':

# setwd("Z:/here/is/my/path/")

####################################################################################



# 'stock' data:

library("OpenML")

dataobj = getOMLDataSet(data.id = 223)
datastock <- dataobj$data

save(datastock, file="./InteractionForests/Data/ExampleDatasets/datastock.Rda")





# 'zoo' data:

dataobj = getOMLDataSet(data.id = 965)
datazoo <- dataobj$data

names(datazoo)[names(datazoo)=="binaryClass"] <- "type"
levels(datazoo$type) <- c("mammal", "other")

datazoowanimal <- datazoo
datazoo$animal <- NULL

save(datazoo, datazoowanimal, file="./InteractionForests/Data/ExampleDatasets/datazoo.Rda")





# 'white-clover' data:

dataobj = getOMLDataSet(data.id = 1009)
dataclover <- dataobj$data

names(dataclover)[names(dataclover)=="binaryClass"] <- "amount"
dataclover$amount <- as.character(dataclover$amount)
dataclover$amount[dataclover$amount=="P"] <- "[0,8.82["
dataclover$amount[dataclover$amount=="N"] <- "[8.82,35.29]"
dataclover$amount <- factor(dataclover$amount, levels=c("[0,8.82[", "[8.82,35.29]"))

save(dataclover, file="./InteractionForests/Data/ExampleDatasets/dataclover.Rda")




# The data.frame 'datarnasurv' and the data.frame 'datatp53' are both
# obtained from the file "Data/ExampleDatasets/COAD_rna_mutation_targetvar.Rda". The
# latter processed file was obtained from the file "COAD.Rda" from Additional file 2
# of the following paper:
# Hornung, R., Wright, M.N. (2019) Block Forests: random forests for blocks
# of clinical and omics covariate data. BMC Bioinformatics 20, 358.
# https://doi.org/10.1186/s12859-019-2942-y
# "COAD_rna_mutation_targetvar.Rda" is a subset file of "COAD.Rda" that only
# contains the objects "rna", "mutation", and "targetvar".
