####################################################################################

# NOTE: Before the code can be executed, the R working directory *MUST* 
# be set to the directory that contains the folder 'InteractionForests' (for Linux
# systems R can also be excecuted from the directory that contains the folder
# 'InteractionForests'):

# Remove '#' from the line below and replace 'Z:/here/is/my/path/' by the path
# to the directory that contains 'InteractionForests':

# setwd("Z:/here/is/my/path/")

####################################################################################


library("diversityForest")

source("./InteractionForests/Functions/Functions_Simulation.R")



# Small sample size:

set.seed(1234)
dataset <- simDataset(N=100, mainstrength=c(3, 2, 1), quantstrength=c(3, 2, 1), qualstrength=c(3, 2, 1))

(starttime <- Sys.time())
set.seed(1234)
model <- interactionfor(dependent.variable.name = "y", data = dataset, num.trees = 20000, importance="both", probability=TRUE)
(stoptime <- Sys.time())
stoptime - starttime



# Moderate sample size:

set.seed(1234)
dataset <- simDataset(N=500, mainstrength=c(3, 2, 1), quantstrength=c(3, 2, 1), qualstrength=c(3, 2, 1))

(starttime <- Sys.time())
set.seed(1234)
model <- interactionfor(dependent.variable.name = "y", data = dataset, num.trees = 20000, importance="both", probability=TRUE)
(stoptime <- Sys.time())
stoptime - starttime



# Large sample size:

set.seed(1234)
dataset <- simDataset(N=1000, mainstrength=c(3, 2, 1), quantstrength=c(3, 2, 1), qualstrength=c(3, 2, 1))

(starttime <- Sys.time())
set.seed(1234)
model <- interactionfor(dependent.variable.name = "y", data = dataset, num.trees = 20000, importance="both", probability=TRUE)
(stoptime <- Sys.time())
stoptime - starttime
